Details

    • Type: Enhancement
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Done
    • Affects Version/s: 4.2.0.Beta3
    • Fix Version/s: 4.2.0.Beta3
    • Component/s: build
    • Labels:
      None

      Description

      while investigating for Lars Heinemann which java version we actually used for builds on jbosstools jenkins jobs I noticed we seem to have inconsistent usage for luna builds.

      The following jobs dont use Java 7, any reason for that ?

      job/devstudio.product_8.0.luna/config.xml:145: <jdk>java1.6</jdk>
      job/devstudio.versionwatch_8.0.luna/config.xml:95: <jdk>java1.6</jdk>
      job/jbosstools-aerogear_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-birt_4.2.luna/config.xml:107: <jdk>java1.6</jdk>
      job/jbosstools-browsersim_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-build-sites.aggregate.coretests-site_4.2.luna/config.xml:143: <jdk>java1.6</jdk>
      job/jbosstools-build-sites.aggregate.hibernatetools-site_4.2.luna/config.xml:153: <jdk>java1.6</jdk>
      job/jbosstools-build-sites.aggregate.site_4.2.luna/config.xml:143: <jdk>java1.6</jdk>
      job/jbosstools-build-sites.aggregate.webtools-site_4.2.luna/config.xml:153: <jdk>java1.6</jdk>
      job/jbosstools-build.parent_4.2.luna/config.xml:60: <jdk>java1.6</jdk>
      job/jbosstools-buildflow_4.2.luna/config.xml:19: <jdk>java1.6</jdk>
      job/jbosstools-centraltarget_4.2.luna/config.xml:72: <jdk>java1.6</jdk>
      job/jbosstools-discovery_4.2.luna/config.xml:147: <jdk>java1.6</jdk>
      job/jbosstools-freemarker_4.2.luna/config.xml:107: <jdk>java1.6</jdk>
      job/jbosstools-gwt_4.2.luna/config.xml:107: <jdk>java1.6</jdk>
      job/jbosstools-jst_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-livereload_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-openshift_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-portlet_4.2.luna/config.xml:106: <jdk>java1.6</jdk>
      job/jbosstools-server_4.2.luna/config.xml:133: <jdk>java1.6</jdk>
      job/jbosstools-vpe_4.2.luna/config.xml:106: <jdk>java1.6</jdk>

      and only these uses java 7:
      ./job/jbosstools-arquillian_4.2.luna/config.xml: <jdk>jdk1.7</jdk>
      ./job/jbosstools-base_4.2.luna/config.xml: <jdk>jdk1.7u02</jdk> CHANGED TO <jdk>jdk1.7</jdk> on 2014-07-18 16:04 EST
      ./job/jbosstools-central_4.2.luna/config.xml: <jdk>jdk1.7</jdk>
      ./job/jbosstools-forge_4.2.luna/config.xml: <jdk>jdk1.7</jdk>
      ./job/jbosstools-hibernate_4.2.luna/config.xml: <jdk>jdk1.7</jdk>
      ./job/jbosstools-javaee_4.2.luna/config.xml: <jdk>jdk1.7</jdk>
      ./job/jbosstools-webservices_4.2.luna/config.xml: <jdk>jdk1.7</jdk>

      and not all the same.

      and there is even one using Java 8:
      ./job/jbosstools-composite-install_4.2.luna/config.xml: <jdk>java1.8</jdk>

      that seems unnecessary.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                nickboldt Nick Boldt
                Reporter:
                maxandersen Max Andersen
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: